# assembly::load

Loads an assembly given the long form of its name.

### Usage

`Assembly assembly::load(assemblyString)`

### Parameters

Name | Type | Description
--- | --- | ---
assemblyString | string | The long form of the assembly name.

### Return Value

The loaded assembly.

### Exceptions

The function will fail in any of the following circumstances:

- assemblyString is a a null reference (Nothing in Visual Basic).
- assemblyString is not found.

### Examples

- Determine the location of the Microsoft Access 11 Primary Interop Assembly by loading it using its fully qualified name, and copy it to the build directory.

      <property name="access.pia.path" value="${assembly::get-location(assembly::load('Microsoft.Office.Interop.Access, Version=11.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c'))}" />
      <copy file="${access.pia.path}" todir="${build.dir}" />

### Requirements

Assembly: NAnt.Core (0.90.3780.0)